Bug 116569 - defunct tomcat and addr2line processes
defunct tomcat and addr2line processes
Status: CLOSED DEFERRED
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: tomcat (Show other bugs)
1.0-beta1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Gary Benson
dev.diavant.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-23 05:54 EST by Andreas Weishaeupl
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-07 12:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Weishaeupl 2004-02-23 05:54:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0) Opera 
7.23  [en]

Description of problem:
After starting tomcat on a newly installed RHEL 3.0 ES, configuring 
mod_jk2 and configured the application path, everything seems to work 
fine at the first moment, but when requesting the page via the 
mod_jk2 link a internal server error is displayed by apache at the 
first request, after a random number of reloads in the browser the 
expected application error from Tomcat is displayed(this error is due 
a gcj incomptiblity with the application, as the developers are of 
the opinion that the redhat tomcat is properietary. 

While analysing the problem from a RHCE point of view I found, that 
there are many defunct processes from tomcat and addr2line in the 
processlist. After start ther are 16 such processes, but the are 
increasing with time beeing.

Version-Release number of selected component (if applicable):
tomcat-4.1.27-8

How reproducible:
Always

Steps to Reproduce:
1. service tomcat start
2. ps -ef | grep tomcat
3. test the application
4. ps -ef | grep tomcat
    

Actual Results:  defunct processes in ps output
application is not working
not every request is handled by tomcat, the apache error message is 
that one, which would be displayed if tomcat is not started yet.

Expected Results:  no defunct processes
application is working with full java support(maybee a tomcat version 
with JAVA support additonally to that one with gcj support)
application is displayed with every request.

Additional info:

ps -ef | grep tomcat output:
tomcat   16931     1  1 10:08 pts/1    00:00:25 /usr/sbin/tomcat 
-sysconf /etc/sysconfig/tomcat -home /usr/share/tomcat -logfile 
/usr/share/tomcat/logs/tomcat.out -pidfile /var/run/tomcat/tomcat.pid 
-user tomcat
tomcat   16935 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16936 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16937 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16938 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16939 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16940 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16941 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16942 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16945 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16946 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16947 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16948 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16949 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16950 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16951 16931  0 10:08 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16952 16931  0 10:08 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16958 16931  0 10:09 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16959 16931  0 10:09 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16960 16931  0 10:09 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16961 16931  0 10:09 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16962 16931  0 10:09 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16963 16931  0 10:09 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16964 16931  0 10:09 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16965 16931  0 10:09 pts/1    00:00:00 [addr2line <defunct>]
tomcat   16976 16931  0 10:09 pts/1    00:00:00 [tomcat <defunct>]
tomcat   16977 16931  0 10:09 pts/1    00:00:00 [addr2line <defunct>]
root     17037 16850  0 10:43 pts/1    00:00:00 grep tomcat

tail /var/log/httpd/error-log output:
[Mon Feb 23 10:24:45 2004] [error] jk2_init() Can't find child 17016 
in scoreboard
[Mon Feb 23 10:24:45 2004] [error] jk2_init() Can't find child 17018 
in scoreboard
[Mon Feb 23 10:24:45 2004] [error] jk2_init() Can't find child 17019 
in scoreboard
[Mon Feb 23 10:24:45 2004] [error] jk2_init() Can't find child 17020 
in scoreboard
[Mon Feb 23 10:24:45 2004] [error] jk2_init() Can't find child 17021 
in scoreboard
[Mon Feb 23 10:24:45 2004] [error] jk2_init() Can't find child 17022 
in scoreboard
[Mon Feb 23 10:24:45 2004] [error] jk2_init() Can't find child 17023 
in scoreboard
[Mon Feb 23 10:24:45 2004] [notice] Apache/2.0.46 (Red Hat) 
configured -- resuming normal operation

ps -ef | grep apache output:

apache   17016 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd
apache   17017 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd
apache   17018 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd
apache   17019 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd
apache   17020 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd
apache   17021 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd
apache   17022 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd
apache   17023 17013  0 10:24 ?        00:00:00 /usr/sbin/httpd

cat /etc/redhat-release output:

Red Hat Enterprise Linux ES release 3 (Taroon Update 1)

Hardware is a IBM eServer xSeries x320 with 2 Xeon 1,5 processors, 1 
GB RAM and a 36 GB Harddisc
Comment 1 Gary Benson 2004-05-07 12:43:57 EDT
Tomcat isn't in RHAPS any more.

Note You need to log in before you can comment on or make changes to this bug.